org.apache.cassandra.index.sasi.sa

## Class TermIterator

- java.lang.Object
- - com.google.common.collect.UnmodifiableIterator<T>
  - - com.google.common.collect.AbstractIterator<Pair<IndexedTerm,TokenTreeBuilder>>
    - - org.apache.cassandra.index.sasi.sa.TermIterator

- All Implemented Interfaces:
    java.util.Iterator<Pair<IndexedTerm,TokenTreeBuilder>>
  Direct Known Subclasses:
    CombinedTermIterator

      public abstract class TermIterator
      extends com.google.common.collect.AbstractIterator<Pair<IndexedTerm,TokenTreeBuilder>>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TermIterator()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.nio.ByteBuffer` | `maxTerm()`
    `abstract java.nio.ByteBuffer` | `minTerm()`

    - ### Methods inherited from class com.google.common.collect.AbstractIterator

      `computeNext, endOfData, hasNext, next, peek`

    - ### Methods inherited from class com.google.common.collect.UnmodifiableIterator

      `remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### TermIterator

          public TermIterator()

  - ### Method Detail

    - #### minTerm

          public abstract java.nio.ByteBuffer minTerm()

    - #### maxTerm

          public abstract java.nio.ByteBuffer maxTerm()

Copyright © 2018 The Apache Software Foundation